
<mat-drawer-container class="example-container" autosize>
  <mat-drawer #drawer class="example-sidenav" mode="side">
    <img src="../../../assets/money.jpg" width="300px" height="300px" alt="">


      <mat-divider></mat-divider>

        <button  mat-button>
        <mat-icon>information</mat-icon>
        <span class="text">Sobre</span>
      </button>





      <mat-divider></mat-divider>



  </mat-drawer>

  <mat-toolbar color="primary">
    <mat-toolbar-row>
      <button type="button" mat-button (click)="drawer.toggle()">
        <mat-icon >line_weight</mat-icon>

      </button>
      <span>Sistema Analise de Crédito</span>

    </mat-toolbar-row>

    </mat-toolbar>

    <div class="container">


    <div class="col-12">
    <form class="example-form" [formGroup]="form">
      <div class="row">
      <mat-form-field id="inputs" class="example-full-width">
         <input matInput placeholder="Nome" formControlName="nome"  required>
         <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
      </mat-form-field>
    </div>
    <div class="row">

      <mat-form-field id="inputs" class="example-full-width">
        <input matInput placeholder="Renda" formControlName="renda"  required>
        <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
     </mat-form-field>
     </div>
     <div class="row">
     <mat-form-field id="inputs" class="example-full-width">
      <input matInput placeholder="Rua" formControlName="rua"  required>
      <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
   </mat-form-field>
  </div>
  <div class="row">
   <mat-form-field id="inputs" class="example-full-width">
    <input matInput placeholder="Numero" formControlName="numero"  required>
    <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
 </mat-form-field>
 </div>
 <div class="row">
 <mat-form-field  id="inputs" class="example-full-width">
  <input matInput placeholder="Bairro" formControlName="bairro"  required>
  <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
</mat-form-field>
</div>
<div class="row">
<mat-form-field id="inputs" class="example-full-width">
  <input matInput placeholder="CEP" formControlName="cep"  required>
  <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
</mat-form-field>
</div>
      <div class="row">
        <button *ngIf="this.mode == 'atualizar'" style="background-color: black; color: white; width: 100%;" mat-raised-button [disabled]="form.invalid" (click)="atualizar()">Atualizar</button>
      </div>
      <div class="row">
        <button *ngIf="this.mode == 'cadastrar'" style="background-color: black; color: white; width: 100%;" mat-raised-button  [disabled]="form.invalid"  (click)="registrar()">Registrar</button>
      </div>
      <div class="row">
        <button mat-button color="primary" style="margin-top: 4%; float: right;" (click)="backTo()"> Voltar Clientes</button>
    </div>

    </form>
  </div>

</div>


</mat-drawer-container>




